## cascading.management.annotation
Annotation Type PropertyRegexSanitizer

    @Retention(value=RUNTIME)
    @Target(value={METHOD,FIELD})
    public @interface PropertyRegexSanitizer

PropertyRegexSanitizer is an annotation to be used in conjunction with a Property annotation to sanitize values containing sensitive information with a given regular expression.

For example, if a Property contains an URL, user names, password, API keys etc, one can supply a regular expression (regex) to remove the sensitive parts.

Unlike the `PropertySanitizer` annotation, the regular expression is applied once and the result is stored as the value for the declared `Visibility` for the property. See PropertySanitizer if different values should be returned for each Visibility type.

Required Element Summary
`String` `value`

Element Detail

### value

    public abstract String value

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.